## fputs

The fputs function writes a string to the file.

    int fputs (
      const char* Str,  /* String */
      FIL* FileObject   /* File object */
    );

#### Parameters

Str
  Pointer to the null terminated string to be written. The null character will not be written.
FileObject
  Pointer to the open file object structure.

#### Return Value

When the function succeeded, number of characters written (not minus value) is returned. When the function failed due to disk full or any error, an `EOF` will be returned.

#### Description

The fputs() is a wrapper function of fputc(). This function is available when read-write configuration and `_USE_STRFUNC` is 1 or 2. When it is set 2, a `'\n'` is extended to `"\r\n"`.

#### Reference

`f_open, fputc, fprintf, fgets, f_close, FIL`

Return